Hitachi Vantara Pentaho Community Forums
Results 1 to 3 of 3

Thread: Upgrading Mondrian from 2.4 to 3.0.3-11016 broke Pentaho BI?

  1. #1
    Join Date
    May 2008
    Posts
    1

    Default Upgrading Mondrian from 2.4 to 3.0.3-11016 broke Pentaho BI?

    Hey gang,

    I run Pentaho BI Platform 1.6.0.GA.863 and was using Mondrian 2.4.2 with it. I was running into some of the bugs mentioned elsewhere in the forums regarding aggregate tables. The patches/workarounds for those bugs were made against mondrian 3.0 code, so I figured I'd upgrade to 3.0 and apply the patches.

    I thought I'd test an unpatched 3.0 first, so I got the latest mondrian build (3.0.3-11016), took the mondrian.jar file and placed it in pentaho's WEB-INF/lib directory, overwriting the old version. Now when I run any query, I get the following error message in the logs:

    java.lang.NoSuchMethodError: mondrian.olap.DriverManager.getConnection(Ljava/lang/String;Lmondrian/spi/CatalogLocator;Z)Lmondrian/olap/Connection;

    Anybody else running into this problem? Did I miss something? Does some other piece of the puzzle need upgrading? The weird thing is when I look at DriverManager.java in the source, it looks like that method does, in fact, exists, so I don't know what it's complaining about...

    Jason

  2. #2
    Join Date
    Mar 2008
    Posts
    17

    Default

    Make sure you have the correct version of the olap4j jar file. I downloaded the latest olap4j from sourceforge and used the jar from it.

  3. #3

    Default

    You might give it a go with the 1.7.0 RC1 platform, which has Mondrian 3.0 embedded in it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.